Subject: bug#70848: ntpd updating the time hangs shepherd

From: Nathan Dehnel <[email-masked]>
Date: Thu, 9 May 2024 14:25:44 -0500

When I turn off my computer and take it somewhere and turn it back on,
the time is wrong. I think this is because my RTC battery is
malfunctioning. After I boot, ntpd updates the time, and this breaks
SOMETHING, I don't know what.

May  9 14:04:23 localhost ntpd[1079]: Soliciting pool server 23.131.160.7
May  9 14:04:23 localhost ntpd[1079]: Soliciting pool server 23.150.41.123
May  9 14:04:24 localhost ntpd[1079]: Soliciting pool server 44.31.46.226
May  9 14:06:42 localhost ntpd[1079]: Soliciting pool server 74.208.117.38
May  9 14:06:42 localhost ntpd[1079]: Soliciting pool server 168.61.215.74
May  9 14:08:54 localhost ntpd[1079]: kernel reports TIME_ERROR: 0x41:
Clock Unsynchronized

Shepherd then hangs and becomes unresponsive to all commands, and the
fan spins up. I lose the ability to shut down and must kill the device
with REISUB.

guix 2bea3f2